
Foreman - Feature #16725

Plugin extension point to add smart proxy to foreman models

09/28/2016 09:46 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Plugin integration   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3904,

https://github.com/theforeman/foreman/p

ull/3932

  

Description

There should be an extension point for plugins to add a smart proxy, e.g. to a host or a subnet. For these smart proxies the model's

form and the model's api should be extended.

Related issues:

Blocks Discovery - Refactor #14036: Add extension point to Subnets form for D... Closed 03/03/2016

Associated revisions

Revision c6760930 - 10/07/2016 07:08 AM - Timo Goebel

fixes #16725 - add plugin extension point for smart proxies

Revision 19fa6cb8 - 10/12/2016 10:53 AM - Timo Goebel

refs #16725 - initialize smart_proxies for models (#3932)

History

#1 - 09/28/2016 09:47 AM - Timo Goebel

- Blocks Refactor #14036: Add extension point to Subnets form for Discovery Proxy added

#2 - 09/29/2016 03:45 AM - Timo Goebel

- Status changed from New to Assigned

- Assignee set to Timo Goebel

#3 - 09/29/2016 08:47 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3904 added

#4 - 10/07/2016 08:03 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c6760930cf08a4b584b75df8a621092dd787da01.

#5 - 10/10/2016 03:19 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#6 - 10/12/2016 03:48 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3932 added
